# norootforbuild

%define _SO_nr		6
%define _boost_ver	1_36

%{!?python_sitelib:  %global python_sitelib  %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

Name:			libtorrent-rasterbar
Summary:		C++ implementation of the BitTorrent protocol
Group:			Productivity/Networking/Other
Version:		0.15.5
Release:		1.pm.1.1
License:		BSD
Url:			http://www.rasterbar.com/products/libtorrent/
# http://libtorrent.googlecode.com/files/libtorrent-rasterbar-%{version}.tar.gz
Source:         libtorrent-rasterbar-%{version}.tar.gz
Source90:		%{name}-rpmlintrc
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
%py_requires
%if %suse_version > 1100
BuildRequires:	boost-devel >= 1.36
%else
BuildRequires:	boost%{_boost_ver}-devel
%endif
BuildRequires:	gcc-c++
BuildRequires:	openssl-devel
BuildRequires:	zlib-devel
BuildRequires:	python-devel
Provides:		rblibtorrent-tools = 0.13
Obsoletes:		rblibtorrent-tools < 0.13

%description
libtorrent is a C++ library that aims to be a good alternative to all the other
bittorrent implementations around. It is a library and not a full featured
client, although it comes with a working example client.

The main goals of libtorrent are:
- to be cpu efficient
- to be memory efficient
- to be very easy to use

This package contains a few command-line tools that are distributed as
sample applications for libtorrent-rasterbar.



Authors:
--------
    Arvid Norberg <arvid@rasterbar.com>

%package -n libtorrent-rasterbar-devel
Summary:	Development files for libtorrent-rasterbar
Group:		Development/Libraries/C and C++
%if %suse_version > 1100
Requires:	boost-devel
%else
Requires:	boost%{_boost_ver}-devel
%endif
Requires:	libtorrent-rasterbar%{_SO_nr} = %{version}
Requires:	openssl-devel
Requires:	zlib-devel
Provides:	rblibtorrent-devel = 0.13
Obsoletes:	rblibtorrent-devel < 0.13

%description -n libtorrent-rasterbar-devel
libtorrent is a C++ library that aims to be a good alternative to all the other
bittorrent implementations around. It is a library and not a full featured
client, although it comes with a working example client.

The main goals of libtorrent are:
- to be cpu efficient
- to be memory efficient
- to be very easy to use

This package holds the development files for rasterbar-libtorrent.




Authors:
--------
    Arvid Norberg <arvid@rasterbar.com>

%package -n libtorrent-rasterbar%{_SO_nr}
Summary:	Shared libraries for libtorrent-rasterbar
Group:		System/Libraries
Provides:	rblibtorrent = 0.13
Obsoletes:	rblibtorrent < 0.13
Provides:	libtorrent-rasterbar1 = 0.14.1
Obsoletes:	libtorrent-rasterbar1 < 0.14.1
Provides:	libtorrent-rasterbar2 = 0.14.2
Obsoletes:	libtorrent-rasterbar2 < 0.14.2
Provides:	libtorrent-rasterbar3 = 0.14.3
Obsoletes:	libtorrent-rasterbar3 < 0.14.3
Provides:	libtorrent-rasterbar4 = 0.14.4
Obsoletes:	libtorrent-rasterbar4 < 0.14.4
Provides:	libtorrent-rasterbar5 = 0.14.10
Obsoletes:	libtorrent-rasterbar5 < 0.14.10

%description -n libtorrent-rasterbar%{_SO_nr}
libtorrent is a C++ library that aims to be a good alternative to all the other
bittorrent implementations around. It is a library and not a full featured
client, although it comes with a working example client.

The main goals of libtorrent are:
- to be cpu efficient
- to be memory efficient
- to be very easy to use




Authors:
--------
    Arvid Norberg <arvid@rasterbar.com>

%package doc
Summary:	Documentation for libtorrent-rasterbar
Group:		Documentation/HTML

%description doc
Documentation for package libtorrent-rasterbar.

%package -n python-libtorrent-rasterbar
Summary:	Python Bindings for libtorrent-rasterbar
Group:		Development/Libraries/Python
%if %suse_version >= 1110
Requires:	python-base >= %{py_ver}
%else
Requires:	python >= %{py_ver}
%endif

%description -n python-libtorrent-rasterbar
Python Bindings for package libtorrent-rasterbar.



%prep
%setup -q -n %{name}-%{version}
%__sed -i 's/\r$//' ChangeLog
%__chmod 644 ChangeLog
find docs/ -type f -exec %__chmod 644 {} \;

%build
export SUSE_ASNEEDED=0
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
export CXXFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
export LDFLAGS="$RPM_OPT_FLAGS -lrt"
%configure \
	--enable-python-binding \
	--disable-debug \
	--enable-examples \
	--with-boost-libdir=%{_libdir} \
%if %suse_version <= 1100
	--with-boost-system=boost_system-mt-%{_boost_ver} \
	--with-boost-filesystem=boost_filesystem-mt-%{_boost_ver} \
	--with-boost-thread=boost_thread-mt-%{_boost_ver} \
	--with-boost-regex=boost_regex-mt-%{_boost_ver} \
	--with-boost-program-options=boost_program_options-mt-%{_boost_ver} \
	--with-boost-python=boost_python-mt-%{_boost_ver} \
%endif
	--with-dht=on \
	--with-encryption=on \
	--with-ssl="%{_usr}" \
	--with-zlib=system

%__make %{?jobs:-j%{jobs}}

%install
%makeinstall

%__rm %{buildroot}%{_libdir}/*.la

%clean
%__rm -rf "%{buildroot}"

%post   -n libtorrent-rasterbar%{_SO_nr} -p /sbin/ldconfig

%postun -n libtorrent-rasterbar%{_SO_nr} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/client_test
%{_bindir}/dump_torrent
%{_bindir}/enum_if
%{_bindir}/make_torrent
%{_bindir}/simple_client

%files -n libtorrent-rasterbar%{_SO_nr}
%defattr(-,root,root)
%{_libdir}/lib*.so.%{_SO_nr}
%{_libdir}/lib*.so.%{_SO_nr}.*

%files -n libtorrent-rasterbar-devel
%defattr(-,root,root)
%dir %{_includedir}/libtorrent
%{_includedir}/libtorrent/*
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc

%files doc
%defattr(-,root,root,-)
%doc docs

%files -n python-libtorrent-rasterbar
%defattr(-,root,root)
%{python_sitearch}/libtorrent.so
%{python_sitearch}/python_libtorrent-%{version}-py%{py_ver}.egg-info

%changelog
* Sun Feb 27 2011 detlef@links2linux.de
- update to 0.15.5
* Thu Jul 29 2010 toni@links2linux.de
- update to 0.15.1
* Sun Mar 21 2010 pascal@links2linux.de
- update to 0.14.10
* Fri Feb 19 2010 toni@links2linux.de
- update to 0.14.9
* Thu Nov 19 2009 toni@links2linux.de
- update to 0.14.7
* Wed Oct 28 2009 toni@links2linux.de
- update to 0.14.6
- new soname ==> libtorrent-rasterbar5
* Thu Jun 11 2009 toni@links2linux.de
- corrected Requires for devel subpackage
* Mon Jun  1 2009 toni@links2linux.de
- update to 0.14.4
- new soname ==> libtorrent-rasterbar4
* Mon Apr 27 2009 toni@links2linux.de
- update to 0.14.3
- new soname ==> libtorrent-rasterbar3
* Thu Feb 19 2009 toni@links2linux.de
- update to 0.14.2
- new soname ==> libtorrent-rasterbar2
* Wed Feb 18 2009 toni@links2linux.de
- update to 0.14.1
- renamed package to libtorrent-rasterbar(-devel)
- moved doc to doc-subpackage
- added libtorrent-rasterbar1 sub-package
* Fri Jul  4 2008 guru@unixtech.be
- added Provides for Shared Library Policy compliance
- added configure options to explicitly enable dht and encryption
- moved documentation to -devel package
- moved binaries into subpackage -tools
* Sat May  3 2008 marekstopka@gmail.com
- new package created, based on spec from home:darix obs project
